include "buildings/init.lua"
include "ramps/init.lua"

material "DEFAULT" { diffuseColour={1,1,1}, specularColour={1,1,1}, specularity=15 }

--Classes
streamer:addClass("road",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("terrain",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("canal",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("tunnel",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=500})

--Placement
streamer:addObject("road",0,0,0,{name="road"})
streamer:addObject("terrain",0,0,0,{name="terrain"})
streamer:addObject("canal", 40.3823, -13.4205, -2.01774, {name="canal"})
streamer:addObject("tunnel", 40.4177, 3.26091, 11.0101, {name="tunnel"})

streamer:addObject("ramps/halfpipe", 13.0144, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipe", 16.0624, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipe", 19.1104, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipe", 19.1104, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipe", 16.0624, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipe", 13.0144, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipe", -17.0711, -9.66328, 0.0, {rot=Vector3(0.0,0.0,90.0)})
streamer:addObject("ramps/halfpipelarge", 22.1584, 7.524, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipelarge", 25.2064, 7.524, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/halfpipelarge", 25.2064, -2.476, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/halfpipelarge", 22.1584, -2.476, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/ramp", 9.96637, 7.45972, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/ramp", 9.96637, -2.54028, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/ramp", 6.91837, -2.54028, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/smallramp", 3.87037, -2.54027, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("ramps/smallramp", 3.87037, 7.45973, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("ramps/ramp", 6.91837, 7.45972, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("buildings/hangar", -30.0252, 0.0, 0.0, {name="hangar"})
